@import "styleguide/breakpoints";

.pool-basic-widget {
  display: flex;
  flex-direction: column;
  background-color: var(--dark-slate-blue) !important;
  font-size: 13px;
  height: 100%;
  padding-left: 25px;
  padding-right: 25px;
  padding-top: 21px;

  @media (max-width: $breakpoint-md) {
    padding-left: 9px;
    padding-right: 9px;
  }

  strong {
    font-size: 15px;
  }

  &__title {
    font-size: 23px;
    font-weight: 600;
    margin-bottom: 16px;
    line-height: 0.87;
  }

  &__data {
    margin: 0;

    &__left {
      padding-left: 0;
    }

    &__right {
      padding-right: 0;

      @media (max-width: $breakpoint-md) {
        display: flex;
        flex-direction: column;
        align-items: flex-end;
      }
    }
  }

  &__footer {
    margin-top: auto;
    margin-right: 0;
    margin-left: 0;

    @media (max-width: $breakpoint-md) {
      margin-top: 30px;
    }
  }

  &__button {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 100%;

    @media (max-width: $breakpoint-md) {
      padding: 0;
    }

    a {
      width: 100%;
      margin-bottom: 18px;
    }
  }

  .btn-secondary {
    width: 100%;
    font-size: 16px;
    font-weight: 500;
  }

  .image-container {
    img {
      position: absolute;
      bottom: 0px;
      left: -25px;
      max-width: 100%;
      max-height: 135px;
    }

    @media (max-width: $breakpoint-md) {
      display: none;
    }
  }
}
